Public Types | List of all members
clan::InputEvent Class Reference
clanDisplay Input

Input event class. More...

`#include <input_event.h>`

## Public Types
enum | Type { no_key = 0, pressed = 1, released = 2, doubleclick = 3, pointer_moved = 4, axis_moved = 5, proximity_change = 6 }
| Event types. More...

## Public Member Functions
Construction
| InputEvent ()
| Constructs a 'NoKey' key. More...
| ~InputEvent ()

## Public Attributes
Operations
InputCode | id
| The exact input. More...
int | id_offset
| Contains the value (0 to x) for certains InputCode types that have a variable output identifier (for example, joystick button identifers, or joystick axis...) More...
std::string | str
| Character sequence generated by event. A key press can generate one, none or multiple characters. The reason for this are deadkeys, i.e. press ^ + a and get ^; the first press would generate no key and the second one, in case that the second key being pressed doesn't support the ^ it would generate two characters (i.e. ^ + 5 => "", "^5") More...
Type | type
| Event type. More...
InputDevice | device
| Device that event originates from. More...
Pointf | mouse_pos
| Mouse position at event time. More...
Point | mouse_device_pos
| Mouse actual position at event time. More...
double | axis_pos
| Axis position. More...
int | repeat_count
| The repeat count for this event. Contains the number of times the keystroke has auto-repeated as a result of the user holding down the key. More...
bool | alt
| State of modifier keys. More...
bool | shift
bool | ctrl

## Detailed Description

Input event class.

The documentation for this class was generated from the following file:

- input_event.h